chk_serv:
  label: Check Service results
  namespace: Organisms/TM - Journey Check/Check Service
  use: '@organisms/tm-jc/chk-serv/chk-serv-results.twig'
  description: Check Service results
  libraries:
    - chk_serv_lib:
        css:
          component:
            ../styles/chk-serv.css: {weight: 10}

  fields:

    title:
      type: text
      label: Title
      preview: No issues found

    message:
      type: text
      label: Message
      preview: No issues found

    error:
      type: text
      label: Error

    from:
      type: text
      label: From
      preview: Glasgow Central (GLC)

    from_crs:
      type: text
      label: From CRS
      preview: glc

    to:
      type: text
      label: To
      preview: Kilmarnock (KLM)

    to_crs:
      type: text
      label: To CRS
      preview: klm

    results:
      type: object
      label: Results
      preview:
        - summary: There is bad news
          description: Something else has happened
        - summary: There is bad news
          description: Something else has happened
